module MUMPS_seq_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libcmumps
const libcmumps_path = "/usr/lib/libcmumps_seq.so"
libcmumps_handle = C_NULL
get_libcmumps_path() = libcmumps_path
const libcmumps = "libcmumps_seq.so"
export libdmumps
const libdmumps_path = "/usr/lib/libdmumps_seq.so"
libdmumps_handle = C_NULL
get_libdmumps_path() = libdmumps_path
const libdmumps = "libdmumps_seq.so"
export libsmumps
const libsmumps_path = "/usr/lib/libsmumps_seq.so"
libsmumps_handle = C_NULL
get_libsmumps_path() = libsmumps_path
const libsmumps = "libsmumps_seq.so"
export libzmumps
const libzmumps_path = "/usr/lib/libzmumps_seq.so"
libzmumps_handle = C_NULL
get_libzmumps_path() = libzmumps_path
const libzmumps = "libzmumps_seq.so"
export libcmumps64
const libcmumps64_path = "/usr/lib/libcmumps64_seq.so"
libcmumps64_handle = C_NULL
get_libcmumps64_path() = libcmumps64_path
const libcmumps64 = "libcmumps64_seq.so"
export libdmumps64
const libdmumps64_path = "/usr/lib/libdmumps64_seq.so"
libdmumps64_handle = C_NULL
get_libdmumps64_path() = libdmumps64_path
const libdmumps64 = "libdmumps64_seq.so"
export libsmumps64
const libsmumps64_path = "/usr/lib/libsmumps64_seq.so"
libsmumps64_handle = C_NULL
get_libsmumps64_path() = libsmumps64_path
const libsmumps64 = "libsmumps64_seq.so"
export libzmumps64
const libzmumps64_path = "/usr/lib/libzmumps64_seq.so"
libzmumps64_handle = C_NULL
get_libzmumps64_path() = libzmumps64_path
const libzmumps64 = "libzmumps64_seq.so"
function __init__()
    global libcmumps_handle = dlopen(libcmumps_path)
    global libdmumps_handle = dlopen(libdmumps_path)
    global libsmumps_handle = dlopen(libsmumps_path)
    global libzmumps_handle = dlopen(libzmumps_path)
    global libcmumps64_handle = dlopen(libcmumps64_path)
    global libdmumps64_handle = dlopen(libdmumps64_path)
    global libsmumps64_handle = dlopen(libsmumps64_path)
    global libzmumps64_handle = dlopen(libzmumps64_path)
end
end
